# Interface IterableIterator<T>

interface IterableIterator<T> {
[iterator](): IterableIterator<T>;
next(...args): IteratorResult<T, any>;
return?(value?): IteratorResult<T, any>;
throw?(e?): IteratorResult<T, any>;
}

#### Type Parameters

- T

#### Hierarchy (view full)

- Iterator<T>
  - IterableIterator

- Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:52

#####
Index

### Methods

[iterator]
next
return?
throw?

## Methods

### [iterator]

- [iterator](): IterableIterator<T>

- #### Returns IterableIterator<T>

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:53

### next

- next(...args): IteratorResult<T, any>

- #### Parameters

  - `Rest` ...args: [] | [undefined]

  #### Returns IteratorResult<T, any>

  Inherited from Iterator.next

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

### `Optional` return

- return(value?): IteratorResult<T, any>

- #### Parameters

  - `Optional` value: any

  #### Returns IteratorResult<T, any>

  Inherited from Iterator.return

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:44

### `Optional` throw

- throw(e?): IteratorResult<T, any>

- #### Parameters

  - `Optional` e: any

  #### Returns IteratorResult<T, any>

  Inherited from Iterator.throw

  - Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:45